### Enumeration

# GUPnPAV DLNAFlags

#### Declaration

    flags GUPnPAV.DLNAFlags

#### Description [src]

The miscellaneous operations supported by a resource. For details on these flags please refer to section 7.3.37.2 of DLNA Networked Device Interoperability Guidelines Volume 1, October 2006.

Updated DTCP Flags based on 2011 Guidelines, section 7.4.1.3.23.2.

#### Members

`GUPNP_DLNA_FLAGS_NONE`

  No flags.

  - Value: `0`
  - Available since: 1.0
`GUPNP_DLNA_FLAGS_SENDER_PACED`

  Content source is the clock source during transport.

  - Value: `2147483648`
  - Available since: 1.0
`GUPNP_DLNA_FLAGS_TIME_BASED_SEEK`

  Limited Operation: time-seek supported.

  - Value: `1073741824`
  - Available since: 1.0
`GUPNP_DLNA_FLAGS_BYTE_BASED_SEEK`

  Limited Operation: byte-seek supported.

  - Value: `536870912`
  - Available since: 1.0
`GUPNP_DLNA_FLAGS_PLAY_CONTAINER`

  Resource supports ‘Container Playback’.

  - Value: `268435456`
  - Available since: 1.0
`GUPNP_DLNA_FLAGS_S0_INCREASE`

  Content does not have a fixed beginning.

  - Value: `134217728`
  - Available since: 1.0
`GUPNP_DLNA_FLAGS_SN_INCREASE`

  Content does not have a fixed end.

  - Value: `67108864`
  - Available since: 1.0
`GUPNP_DLNA_FLAGS_RTSP_PAUSE`

  RTSP resource supports pausing of media transfer.

  - Value: `33554432`
  - Available since: 1.0
`GUPNP_DLNA_FLAGS_STREAMING_TRANSFER_MODE`

  Streaming transfer mode supported.

  - Value: `16777216`
  - Available since: 1.0
`GUPNP_DLNA_FLAGS_INTERACTIVE_TRANSFER_MODE`

  Interactive transfer mode supported.

  - Value: `8388608`
  - Available since: 1.0
`GUPNP_DLNA_FLAGS_BACKGROUND_TRANSFER_MODE`

  Background transfer mode supported.

  - Value: `4194304`
  - Available since: 1.0
`GUPNP_DLNA_FLAGS_CONNECTION_STALL`

  No content transfer when paused.

  - Value: `2097152`
  - Available since: 1.0
`GUPNP_DLNA_FLAGS_DLNA_V15`

  DLNAv1.5 version flag.

  - Value: `1048576`
  - Available since: 1.0
`GUPNP_DLNA_FLAGS_LINK_PROTECTED_CONTENT`

  The content is protected.

  - Value: `65536`
  - Available since: 1.0
`GUPNP_DLNA_FLAGS_CLEAR_TEXT_BYTE_SEEK_FULL`

  Full byte seek on cleartext domain is supported.

  - Value: `32768`
  - Available since: 1.0
`GUPNP_DLNA_FLAGS_LOP_CLEAR_TEXT_BYTE_SEEK`

  Limited operations on byte seek in cleartext domain.

  - Value: `16384`
  - Available since: 1.0